> ## Name

> cgGetString - gets a special string

> ## Synopsis

>     #include <Cg/cg.h>

>     const char * cgGetString( CGenum enum );

> ## Parameters

> enum
>   An enumerant describing the string to be returned.

> ## Return Values

> Returns the string associtated with enum.

> Returns NULL in the event of an error.

> ## Description

> cgGetString returns an informative string depending on the enum. Currently there is only one valid enumerant that may be passed in.

> CG_VERSION
>   Returns the version string of the Cg runtime and compiler.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_ENUMERANT_ERROR is generated if enum is not CG_VERSION.

> ## History

> cgGetString was introduced in Cg 1.2.

> ## See Also

> Cg